MINTPY-SPATIAL_AVERAGE(1)

NAME
mintpy-spatial_average - Calculate average in space

DESCRIPTION
usage: spatial_average.py [-h] [-d DATASETNAME] [-m MASK_FILE] [--nodisplay]

    file

Calculate average in space

  positional arguments:

file
    File to calculate spatial average

  options:

-h, --help
    show this help message and exit

-d DATASETNAME, --dset DATASETNAME, --dataset DATASETNAME
    dataset used to calculate, for ifgramStack file only.

-m MASK_FILE, --mask MASK_FILE
    Mask file for the calculation

--nodisplay
    save and do not display the figure

  example:

spatial_average.py inputs/ifgramStack.h5
    -d coherence -m maskConnComp.h5

    spatial_average.py timeseries_ERA5_demErr.h5 -m maskTempCoh.h5